#ifndef TGA_H
#define TGA_H

#include <iostream>
using namespace std;
#include <cassert>

#include "TextureSupport.h"

///TGA file readeder.
class TGA
{
private: 
	TGA(); //nelze instanciovat
public:
	static bool readTextureDataTGA(const string& path, Texture<unsigned char>& dstData );	/**< nacte obsah TGA souboru do dstData (= pripravi texturu, kterou uz pak staci jen vytvorit )  */
};

#endif